DH_new_by_nid(3)

NAME
DH_new_by_nid, DH_get_nid - get or find DH named parameters

LIBRARY
libcrypto, -lcrypto

SYNOPSIS
 #include <openssl/dh.h>
 DH *DH_new_by_nid(int nid);
 int *DH_get_nid(const DH *dh);

DESCRIPTION
DH_new_by_nid() creates and returns a DH structure containing named parameters nid. Currently nid must be NID_ffdhe2048, NID_ffdhe3072, NID_ffdhe4096, NID_ffdhe6144 or NID_ffdhe8192.

DH_get_nid() determines if the parameters contained in dh match any named set. It returns the NID corresponding to the matching parameters or NID_undef if there is no match.

RETURN VALUES
DH_new_by_nid() returns a set of DH parameters or NULL if an error occurred.

DH_get_nid() returns the NID of the matching set of parameters or NID_undef if there is no match.

COPYRIGHT
Copyright 2017 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.